Subject: Re: RPX Lite w MontaVista 1.2

From: Matthew Locke <[email-masked]>
Date: Tue, 19 Dec 2000 14:18:18 -0500 (EST)

no that works too.  The old bootloader (RPX-Utility) always setup the BR/OR
for NVRAM even if the board did not have NVRAM populated.  In the new
bootloader NVRAM is not mapped by default. if you enable NVRAM in its config
it will setup the BR/OR and then the kernel can access that area of memory.
Obviously, if you acutally try to do something with that area...

------Original Message------
From: Dan Malek <[email-masked]>
To: Brett Carswell <[email-masked]>
Sent: December 18, 2000 3:02:12 AM GMT
Subject: Re: RPX Lite w MontaVista 1.2

Brett Carswell wrote:
>
> I enabled the NVRAM in the config and everything works great now.

That's weird.  Something else is wrong.  The NVRAM config is irrelevant
on the  RPX-lite (and I think all 8xx boards).  The code I suggested you
remove is run long before the kernel, and the information you sent
earlier indicated the actual NVRAM was not mapped in the memory
controller.

-- Dan

_____________________________________
OneMain.com, Your Hometown Internet.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/